## memcached 1.6.14

=== doc/Makefile ===
# Makefile.in generated by automake 1.16.4 from Makefile.am.
# doc/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/memcached
pkgincludedir = $(includedir)/memcached
pkglibdir = $(libdir)/memcached
pkglibexecdir = $(libexecdir)/memcached
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
am__append_1 = $(SPECIFICATIONS)
am__append_2 = $(SPECIFICATIONS)
subdir = doc
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/version.m4 \
	$(top_srcdir)/m4/c99-backport.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
man1dir = $(mandir)/man1
am__installdirs = "$(DESTDIR)$(man1dir)"
NROFF = nroff
MANS = $(man_MANS)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/home/dormando/d/p/danga/git/memcached/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AUTOCONF = ${SHELL} '/home/dormando/d/p/danga/git/memcached/missing' autoconf
AUTOHEADER = ${SHELL} '/home/dormando/d/p/danga/git/memcached/missing' autoheader
AUTOMAKE = ${SHELL} '/home/dormando/d/p/danga/git/memcached/missing' automake-1.16
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -pthread -pthread -Wall -Werror -pedantic -Wmissing-prototypes -Wmissing-declarations -Wredundant-decls
CPP = gcc -E
CPPFLAGS = 
CSCOPE = cscope
CTAGS = ctags
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DTRACE = 
DTRACEFLAGS = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ENABLE_SASL = 
ETAGS = etags
EXEEXT = 
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = -levent 
LTLIBOBJS = 
MAKEINFO = ${SHELL} '/home/dormando/d/p/danga/git/memcached/missing' makeinfo
MKDIR_P = /usr/bin/mkdir -p
OBJEXT = o
PACKAGE = memcached
PACKAGE_BUGREPORT = memcached@googlegroups.com
PACKAGE_NAME = memcached
PACKAGE_STRING = memcached 1.6.14
PACKAGE_TARNAME = memcached
PACKAGE_URL = 
PACKAGE_VERSION = 1.6.14
PATH_SEPARATOR = :
PROFILER = /usr/bin/gcov
PROFILER_FLAGS = -fprofile-arcs -ftest-coverage
PROFILER_LDFLAGS = -lgcov
SET_MAKE = 
SHELL = /bin/bash
STRIP = 
VERSION = 1.6.14
XML2RFC = /usr/bin/xml2rfc
XSLTPROC = /usr/bin/xsltproc
abs_builddir = /home/dormando/d/p/danga/git/memcached/doc
abs_srcdir = /home/dormando/d/p/danga/git/memcached/doc
abs_top_builddir = /home/dormando/d/p/danga/git/memcached
abs_top_srcdir = /home/dormando/d/p/danga/git/memcached
ac_ct_CC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/dormando/d/p/danga/git/memcached/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
man_MANS = memcached.1
SPECIFICATIONS = protocol-binary.txt protocol-binary-range.txt

# When we make dist always include the generated specifications so people don't
# have to have xml2rfc and xsltproc installed
EXTRA_DIST = $(srcdir)/*.txt $(SPECIFICATIONS)
BUILT_SOURCES = $(am__append_1)
MOSTLYCLEANFILES = $(am__append_2)
RFC2629_XSL = $(srcdir)/xml2rfc/rfc2629-noinc.xsl
RFC2629_DTD = $(srcdir)/xml2rfc/rfc2629.dtd
all: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign doc/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign doc/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-man1: $(man_MANS)
	@$(NORMAL_INSTALL)
	@list1=''; \
	list2='$(man_MANS)'; \
	test -n "$(man1dir)" \
	  && test -n "`echo $$list1$$list2`" \
	  || exit 0; \
	echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
	$(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
	{ for i in $$list1; do echo "$$i"; done;  \
	if test -n "$$list2"; then \
	  for i in $$list2; do echo "$$i"; done \
	    | sed -n '/\.1[a-z]*$$/p'; \
	fi; \
	} | while read p; do \
	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; echo "$$p"; \
	done | \
	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
	sed 'N;N;s,\n, ,g' | { \
	list=; while read file base inst; do \
	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
	  fi; \
	done; \
	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
	while read files; do \
	  test -z "$$files" || { \
	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
	done; }

uninstall-man1:
	@$(NORMAL_UNINSTALL)
	@list=''; test -n "$(man1dir)" || exit 0; \
	files=`{ for i in $$list; do echo "$$i"; done; \
	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
	  sed -n '/\.1[a-z]*$$/p'; \
	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
	dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
tags TAGS:

ctags CTAGS:

cscope cscopelist:

distdir: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) distdir-am

distdir-am: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \

=== vendor/Makefile ===
all:
	cd lua && $(MAKE) all && cd ..
	cd mcmc && $(MAKE) all && cd ..

clean:
	cd lua && $(MAKE) clean && cd ..
	cd mcmc && $(MAKE) clean && cd ..

install: ;

dist: clean
distdir: clean

=== debian/changelog ===
memcached (1.6.14-1ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: buffer overflow via multiget requests in proxy mode
    - debian/patches/CVE-2023-46852.patch: fix buffer overflow with
      multiget syntax in proto_proxy.c.
    - CVE-2023-46852
  * SECURITY UPDATE: off-by-one error via proxy requests in proxy mode
    - debian/patches/CVE-2023-46853.patch: fix off-by-one if \r is missing
      in proto_proxy.c, t/proxy.t.
    - CVE-2023-46853

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 01 Nov 2023 10:19:02 -0400

memcached (1.6.14-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Sat, 12 Feb 2022 08:50:01 -0800

memcached (1.6.13-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Sat, 15 Jan 2022 10:05:01 +0000

memcached (1.6.12+dfsg-4) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * Remove static libssl1.1 dependency (LP: #1955006)

  [ Chris Lamb ]
  * Update debian/copyright.

 -- Chris Lamb <lamby@debian.org>  Mon, 03 Jan 2022 08:38:05 +0000

memcached (1.6.12+dfsg-3) unstable; urgency=medium

  * Fix compilation errors under -O3 due to uninitialised variables.
    (Closes: #1001357)
  * Don't run the whitespace tests.

 -- Chris Lamb <lamby@debian.org>  Thu, 09 Dec 2021 08:50:08 -0800

memcached (1.6.12+dfsg-2) unstable; urgency=medium

  * Renable TLS for now. (Closes: #1000463)

 -- Chris Lamb <lamby@debian.org>  Tue, 23 Nov 2021 08:59:31 -0800

memcached (1.6.12+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.0.

 -- Chris Lamb <lamby@debian.org>  Sat, 02 Oct 2021 07:59:24 +0100

memcached (1.6.10+dfsg-2) unstable; urgency=medium

  * Restore systemd sandboxing as the Debian version of systemd supports these
    features. Thanks to Robie Basak for the bug and patch. (Closes: #892922)

 -- Chris Lamb <lamby@debian.org>  Thu, 26 Aug 2021 12:05:23 +0100

memcached (1.6.10+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.1.

 -- Chris Lamb <lamby@debian.org>  Mon, 16 Aug 2021 18:07:41 +0100

=== debian/control ===
Source: memcached
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chris Lamb <lamby@debian.org>
Build-Depends:
 adduser,
 debhelper-compat (= 13),
 libevent-dev,
 libio-socket-ssl-perl <!nocheck>,
 libsasl2-dev,
 libssl-dev,
Homepage: https://memcached.org/
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/lamby/pkg-memcached
Vcs-Git: https://salsa.debian.org/lamby/pkg-memcached.git
Rules-Requires-Root: no

Package: memcached
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 lsb-base,
 perl,
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Suggests:
 libanyevent-perl,
 libcache-memcached-perl,
 libmemcached,
 libterm-readkey-perl,
 libyaml-perl,
Description: High-performance in-memory object caching system
 Danga Interactive developed memcached to enhance the speed of LiveJournal.com,
 a site which was already doing 20 million+ dynamic page views per day for 1
 million users with a bunch of webservers and a bunch of database servers.
 memcached dropped the database load to almost nothing, yielding faster page
 load times for users, better resource utilization, and faster access to the
 databases on a memcache miss.
 .
 memcached optimizes specific high-load serving applications that are designed
 to take advantage of its versatile no-locking memory access system. Clients
 are available in several different programming languages, to suit the needs
 of the specific application. Traditionally this has been used in mod_perl
 apps to avoid storing large chunks of data in Apache memory, and to share
 this burden across several machines.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

PKGBASE=debian/memcached/usr/share/memcached
SCRIPTS=$(PKGBASE)/scripts
UPSTREAM_AUTOCONF_GENERATED_FILES = aclocal.m4 configure \
	doc/Makefile

override_dh_auto_configure:
	dh_auto_configure -- --enable-sasl --enable-tls

override_dh_auto_install:
	dh_auto_install
	install -m 644 $(CURDIR)/debian/memcached.conf \
		$(CURDIR)/$(PKGBASE)/memcached.conf.default
	install -m 744 $(CURDIR)/scripts/start-memcached $(SCRIPTS)
	install -m 755 $(CURDIR)/debian/systemd-memcached-wrapper $(SCRIPTS)
	install -m 744 $(CURDIR)/scripts/memcached-tool $(SCRIPTS)
	install -m 755 $(CURDIR)/scripts/memcached-init \
		$(CURDIR)/debian/memcached.init
	install -m 755 $(CURDIR)/scripts/memcached.service \
		$(CURDIR)/debian/memcached.service
	# Check for LP: #1755460
	if grep -i '##safer##' $(CURDIR)/scripts/memcached.service >/dev/null 2>&1; then echo "ERROR: debian/patches/restore-systemd-sandboxing is incomplete; please see LP: #1755460" >&2; exit 1; fi
	install -m 755 $(CURDIR)/scripts/damemtop $(SCRIPTS)
	install -m 644 $(CURDIR)/scripts/damemtop.yaml $(SCRIPTS)

override_dh_auto_test:
	# Don't run the whitespace tests; they fail if we are building with a
	# .git directory (eg. on salsa)
	rm -f t/whitespace.t

ifeq (,$(filter $(DEB_BUILD_ARCH),armel armhf mips64el))
	# SSL tests have a race condition and may hang
	dh_auto_test --max-parallel=1
endif

override_dh_auto_clean:
	dh_auto_clean
	rm --force $(CURDIR)/debian/memcached.init $(CURDIR)/debian/memcached.service

%:
	dh $@

## memcached 1.6.16

=== doc/Makefile ===
--- 
+++ 
@@ -195,10 +195,10 @@
 PACKAGE = memcached
 PACKAGE_BUGREPORT = memcached@googlegroups.com
 PACKAGE_NAME = memcached
-PACKAGE_STRING = memcached 1.6.14
+PACKAGE_STRING = memcached 1.6.16
 PACKAGE_TARNAME = memcached
 PACKAGE_URL = 
-PACKAGE_VERSION = 1.6.14
+PACKAGE_VERSION = 1.6.16
 PATH_SEPARATOR = :
 PROFILER = /usr/bin/gcov
 PROFILER_FLAGS = -fprofile-arcs -ftest-coverage
@@ -206,7 +206,7 @@
 SET_MAKE = 
 SHELL = /bin/bash
 STRIP = 
-VERSION = 1.6.14
+VERSION = 1.6.16
 XML2RFC = /usr/bin/xml2rfc
 XSLTPROC = /usr/bin/xsltproc
 abs_builddir = /home/dormando/d/p/danga/git/memcached/doc

=== debian/changelog ===
memcached (1.6.16-1build1) kinetic; urgency=medium

  * No-change rebuild against libevent-2.1-7a (LP: #1990941)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 07 Oct 2022 19:53:40 +0200

memcached (1.6.16-1) unstable; urgency=medium

  * New upstream release.
  * Drop lp1979705-fix-ftbfs-gcc12-ppc64el.patch; applied upstream.
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Sat, 06 Aug 2022 07:30:36 -0700

memcached (1.6.15-2) unstable; urgency=medium

  [ Chris Lamb ]
  * Bump Standards-Version to 4.6.1.
  * Update debian/gitlab-ci.yml.

  [ Sergio Durigan Junior ]
  * Fix FTBFS with GCC 12 on ppc64el

 -- Chris Lamb <lamby@debian.org>  Thu, 07 Jul 2022 13:00:40 +0100

memcached (1.6.15-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Sun, 03 Apr 2022 09:42:35 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libsasl2-dev,
  libssl-dev,
 Homepage: https://memcached.org/
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/lamby/pkg-memcached
 Vcs-Git: https://salsa.debian.org/lamby/pkg-memcached.git
 Rules-Requires-Root: no

## memcached 1.6.17

=== doc/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Makefile.in generated by automake 1.16.4 from Makefile.am.
+# Makefile.in generated by automake 1.16.5 from Makefile.am.
 # doc/Makefile.  Generated from Makefile.in by configure.
 
 # Copyright (C) 1994-2021 Free Software Foundation, Inc.
@@ -87,8 +87,6 @@
 POST_UNINSTALL = :
 build_triplet = x86_64-pc-linux-gnu
 host_triplet = x86_64-pc-linux-gnu
-am__append_1 = $(SPECIFICATIONS)
-am__append_2 = $(SPECIFICATIONS)
 subdir = doc
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/version.m4 \
@@ -192,21 +190,26 @@
 MAKEINFO = ${SHELL} '/home/dormando/d/p/danga/git/memcached/missing' makeinfo
 MKDIR_P = /usr/bin/mkdir -p
 OBJEXT = o
+OPENSSL_CFLAGS = 
+OPENSSL_LIBS = 
 PACKAGE = memcached
 PACKAGE_BUGREPORT = memcached@googlegroups.com
 PACKAGE_NAME = memcached
-PACKAGE_STRING = memcached 1.6.16
+PACKAGE_STRING = memcached 1.6.17
 PACKAGE_TARNAME = memcached
 PACKAGE_URL = 
-PACKAGE_VERSION = 1.6.16
+PACKAGE_VERSION = 1.6.17
 PATH_SEPARATOR = :
+PKG_CONFIG = /usr/bin/pkg-config
+PKG_CONFIG_LIBDIR = 
+PKG_CONFIG_PATH = 
 PROFILER = /usr/bin/gcov
 PROFILER_FLAGS = -fprofile-arcs -ftest-coverage
 PROFILER_LDFLAGS = -lgcov
 SET_MAKE = 
 SHELL = /bin/bash
 STRIP = 
-VERSION = 1.6.16
+VERSION = 1.6.17
 XML2RFC = /usr/bin/xml2rfc
 XSLTPROC = /usr/bin/xsltproc
 abs_builddir = /home/dormando/d/p/danga/git/memcached/doc
@@ -266,10 +269,8 @@
 # When we make dist always include the generated specifications so people don't
 # have to have xml2rfc and xsltproc installed
 EXTRA_DIST = $(srcdir)/*.txt $(SPECIFICATIONS)
-BUILT_SOURCES = $(am__append_1)
-MOSTLYCLEANFILES = $(am__append_2)
-RFC2629_XSL = $(srcdir)/xml2rfc/rfc2629-noinc.xsl
-RFC2629_DTD = $(srcdir)/xml2rfc/rfc2629.dtd
+BUILT_SOURCES = 
+MOSTLYCLEANFILES = 
 all: $(BUILT_SOURCES)
 	$(MAKE) $(AM_MAKEFLAGS) all-am
 
@@ -363,3 +364,5 @@
 	  sed -e "s|^$$srcdirstrip/||;t" \
 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
 	case $$dist_files in \
+	  */*) $(MKDIR_P) `echo "$$dist_files" | \
+			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \

=== debian/changelog ===
memcached (1.6.17-1+rb5) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.
    - Add pkg-config to Build-Depends.
  * Drop unused UPSTREAM_AUTOCONF_GENERATED_FILES variable.

 -- Chris Lamb <lamby@debian.org>  Thu, 08 Sep 2022 06:52:56 +0100

## memcached 1.6.18

=== doc/Makefile ===
--- 
+++ 
@@ -195,10 +195,10 @@
 PACKAGE = memcached
 PACKAGE_BUGREPORT = memcached@googlegroups.com
 PACKAGE_NAME = memcached
-PACKAGE_STRING = memcached 1.6.17
+PACKAGE_STRING = memcached 1.6.18
 PACKAGE_TARNAME = memcached
 PACKAGE_URL = 
-PACKAGE_VERSION = 1.6.17
+PACKAGE_VERSION = 1.6.18
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
@@ -209,8 +209,8 @@
 SET_MAKE = 
 SHELL = /bin/bash
 STRIP = 
-VERSION = 1.6.17
-XML2RFC = /usr/bin/xml2rfc
+VERSION = 1.6.18
+XML2RFC = no
 XSLTPROC = /usr/bin/xsltproc
 abs_builddir = /home/dormando/d/p/danga/git/memcached/doc
 abs_srcdir = /home/dormando/d/p/danga/git/memcached/doc

=== vendor/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 all:
-	cd lua && $(MAKE) all && cd ..
+	cd lua && $(MAKE) all CFLAGS="-g" && cd ..
 	cd mcmc && $(MAKE) all && cd ..
 
 clean:

=== debian/changelog ===
memcached (1.6.18-1) unstable; urgency=medium

  * New upstream release. (Closes: #1028497)
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Thu, 12 Jan 2023 00:02:22 +0000

memcached (1.6.17-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.
    - Add pkg-config to Build-Depends.
  * Drop unused UPSTREAM_AUTOCONF_GENERATED_FILES variable.

 -- Chris Lamb <lamby@debian.org>  Thu, 08 Sep 2022 06:52:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: memcached
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Chris Lamb <lamby@debian.org>
+Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends:
  adduser,
  debhelper-compat (= 13),
@@ -10,6 +9,7 @@
  libio-socket-ssl-perl <!nocheck>,
  libsasl2-dev,
  libssl-dev,
+ pkg-config,
 Homepage: https://memcached.org/
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/lamby/pkg-memcached

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,6 @@
 
 PKGBASE=debian/memcached/usr/share/memcached
 SCRIPTS=$(PKGBASE)/scripts
-UPSTREAM_AUTOCONF_GENERATED_FILES = aclocal.m4 configure \
-	doc/Makefile
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-sasl --enable-tls

## memcached 1.6.21

=== doc/Makefile ===
--- 
+++ 
@@ -151,16 +151,16 @@
 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
 am__DIST_COMMON = $(srcdir)/Makefile.in
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} '/home/dormando/d/p/danga/git/memcached/missing' aclocal-1.16
+ACLOCAL = ${SHELL} '/home/dormando/p/code/memcached/missing' aclocal-1.16
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 1
-AUTOCONF = ${SHELL} '/home/dormando/d/p/danga/git/memcached/missing' autoconf
-AUTOHEADER = ${SHELL} '/home/dormando/d/p/danga/git/memcached/missing' autoheader
-AUTOMAKE = ${SHELL} '/home/dormando/d/p/danga/git/memcached/missing' automake-1.16
+AUTOCONF = ${SHELL} '/home/dormando/p/code/memcached/missing' autoconf
+AUTOHEADER = ${SHELL} '/home/dormando/p/code/memcached/missing' autoheader
+AUTOMAKE = ${SHELL} '/home/dormando/p/code/memcached/missing' automake-1.16
 AWK = mawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
-CFLAGS = -g -O2 -pthread -pthread -Wall -Werror -pedantic -Wmissing-prototypes -Wmissing-declarations -Wredundant-decls
+CFLAGS = -g -O2 -pthread -pthread -Wall -pedantic -Wmissing-prototypes -Wmissing-declarations -Wredundant-decls
 CPP = gcc -E
 CPPFLAGS = 
 CSCOPE = cscope
@@ -187,7 +187,7 @@
 LIBOBJS = 
 LIBS = -levent 
 LTLIBOBJS = 
-MAKEINFO = ${SHELL} '/home/dormando/d/p/danga/git/memcached/missing' makeinfo
+MAKEINFO = ${SHELL} '/home/dormando/p/code/memcached/missing' makeinfo
 MKDIR_P = /usr/bin/mkdir -p
 OBJEXT = o
 OPENSSL_CFLAGS = 
@@ -195,10 +195,10 @@
 PACKAGE = memcached
 PACKAGE_BUGREPORT = memcached@googlegroups.com
 PACKAGE_NAME = memcached
-PACKAGE_STRING = memcached 1.6.18
+PACKAGE_STRING = memcached 1.6.21
 PACKAGE_TARNAME = memcached
 PACKAGE_URL = 
-PACKAGE_VERSION = 1.6.18
+PACKAGE_VERSION = 1.6.21
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
@@ -209,13 +209,13 @@
 SET_MAKE = 
 SHELL = /bin/bash
 STRIP = 
-VERSION = 1.6.18
+VERSION = 1.6.21
 XML2RFC = no
-XSLTPROC = /usr/bin/xsltproc
-abs_builddir = /home/dormando/d/p/danga/git/memcached/doc
-abs_srcdir = /home/dormando/d/p/danga/git/memcached/doc
-abs_top_builddir = /home/dormando/d/p/danga/git/memcached
-abs_top_srcdir = /home/dormando/d/p/danga/git/memcached
+XSLTPROC = no
+abs_builddir = /home/dormando/p/code/memcached/doc
+abs_srcdir = /home/dormando/p/code/memcached/doc
+abs_top_builddir = /home/dormando/p/code/memcached
+abs_top_srcdir = /home/dormando/p/code/memcached
 ac_ct_CC = gcc
 am__include = include
 am__leading_dot = .
@@ -242,7 +242,7 @@
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = ${SHELL} /home/dormando/d/p/danga/git/memcached/install-sh
+install_sh = ${SHELL} /home/dormando/p/code/memcached/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 localedir = ${datarootdir}/locale
@@ -366,3 +366,6 @@
 	case $$dist_files in \
 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
+			   sort -u` ;; \
+	esac; \
+	for file in $$dist_files; do \

=== vendor/lua/src/Makefile ===
# Makefile for building Lua
# See ../doc/readme.html for installation and customization instructions.

# == CHANGE THE SETTINGS BELOW TO SUIT YOUR ENVIRONMENT =======================

# Your platform. See PLATS for possible values.
PLAT= guess

CC= gcc -std=gnu99
CFLAGS= -O2 -Wall -Wextra -fno-omit-frame-pointer -DLUA_COMPAT_5_3 $(SYSCFLAGS) $(MYCFLAGS)
LDFLAGS= $(SYSLDFLAGS) $(MYLDFLAGS)
LIBS= -lm $(SYSLIBS) $(MYLIBS)

AR= ar rcu
RANLIB= ranlib
RM= rm -f
UNAME= uname

SYSCFLAGS=
SYSLDFLAGS=
SYSLIBS=

MYCFLAGS=
MYLDFLAGS=
MYLIBS=
MYOBJS=

# Special flags for compiler modules; -Os reduces code size.
CMCFLAGS= 

# == END OF USER SETTINGS -- NO NEED TO CHANGE ANYTHING BELOW THIS LINE =======

PLATS= guess aix bsd c89 freebsd generic linux linux-readline macosx mingw posix solaris

LUA_A=	liblua.a
CORE_O=	lapi.o lcode.o lctype.o ldebug.o ldo.o ldump.o lfunc.o lgc.o llex.o lmem.o lobject.o lopcodes.o lparser.o lstate.o lstring.o ltable.o ltm.o lundump.o lvm.o lzio.o
LIB_O=	lauxlib.o lbaselib.o lcorolib.o ldblib.o liolib.o lmathlib.o loadlib.o loslib.o lstrlib.o ltablib.o lutf8lib.o linit.o
BASE_O= $(CORE_O) $(LIB_O) $(MYOBJS)

LUA_T=	lua
LUA_O=	lua.o

LUAC_T=	luac
LUAC_O=	luac.o

ALL_O= $(BASE_O) $(LUA_O) $(LUAC_O)
ALL_T= $(LUA_A) $(LUA_T) $(LUAC_T)
ALL_A= $(LUA_A)

# Targets start here.
default: $(PLAT)

all:	$(ALL_T)

o:	$(ALL_O)

a:	$(ALL_A)

$(LUA_A): $(BASE_O)
	$(AR) $@ $(BASE_O)
	$(RANLIB) $@

$(LUA_T): $(LUA_O) $(LUA_A)
	$(CC) -o $@ $(LDFLAGS) $(LUA_O) $(LUA_A) $(LIBS)

$(LUAC_T): $(LUAC_O) $(LUA_A)
	$(CC) -o $@ $(LDFLAGS) $(LUAC_O) $(LUA_A) $(LIBS)

test:
	./$(LUA_T) -v

clean:
	$(RM) $(ALL_T) $(ALL_O)

depend:
	@$(CC) $(CFLAGS) -MM l*.c

echo:
	@echo "PLAT= $(PLAT)"
	@echo "CC= $(CC)"
	@echo "CFLAGS= $(CFLAGS)"
	@echo "LDFLAGS= $(SYSLDFLAGS)"
	@echo "LIBS= $(LIBS)"
	@echo "AR= $(AR)"
	@echo "RANLIB= $(RANLIB)"
	@echo "RM= $(RM)"
	@echo "UNAME= $(UNAME)"

# Convenience targets for popular platforms.
ALL= all

help:
	@echo "Do 'make PLATFORM' where PLATFORM is one of these:"
	@echo "   $(PLATS)"
	@echo "See doc/readme.html for complete instructions."

guess:
	@echo Guessing `$(UNAME)`
	@$(MAKE) `$(UNAME)`

AIX aix:
	$(MAKE) $(ALL) CC="xlc" CFLAGS="-O2 -DLUA_USE_POSIX -DLUA_USE_DLOPEN" SYSLIBS="-ldl" SYSLDFLAGS="-brtl -bexpall"

bsd:
	$(MAKE) $(ALL) SYSCFLAGS="-DLUA_USE_POSIX -DLUA_USE_DLOPEN" SYSLIBS="-Wl,-E"

c89:
	$(MAKE) $(ALL) SYSCFLAGS="-DLUA_USE_C89" CC="gcc -std=c89"
	@echo ''
	@echo '*** C89 does not guarantee 64-bit integers for Lua.'
	@echo '*** Make sure to compile all external Lua libraries'
	@echo '*** with LUA_USE_C89 to ensure consistency'
	@echo ''

FreeBSD NetBSD OpenBSD freebsd:
	$(MAKE) $(ALL) SYSCFLAGS="-DLUA_USE_LINUX -DLUA_USE_READLINE -I/usr/include/edit" SYSLIBS="-Wl,-E -ledit" CC="cc"

generic: $(ALL)

Linux linux:	linux-noreadline

linux-noreadline:
	$(MAKE) $(ALL) SYSCFLAGS="-DLUA_USE_LINUX" SYSLIBS="-Wl,-E -ldl"

linux-readline:
	$(MAKE) $(ALL) SYSCFLAGS="-DLUA_USE_LINUX -DLUA_USE_READLINE" SYSLIBS="-Wl,-E -ldl -lreadline"

Darwin macos macosx:
	$(MAKE) $(ALL) SYSCFLAGS="-DLUA_USE_MACOSX -DLUA_USE_READLINE" SYSLIBS="-lreadline"

mingw:
	$(MAKE) "LUA_A=lua54.dll" "LUA_T=lua.exe" \
	"AR=$(CC) -shared -o" "RANLIB=strip --strip-unneeded" \
	"SYSCFLAGS=-DLUA_BUILD_AS_DLL" "SYSLIBS=" "SYSLDFLAGS=-s" lua.exe
	$(MAKE) "LUAC_T=luac.exe" luac.exe

posix:
	$(MAKE) $(ALL) SYSCFLAGS="-DLUA_USE_POSIX"

SunOS solaris:
	$(MAKE) $(ALL) SYSCFLAGS="-DLUA_USE_POSIX -DLUA_USE_DLOPEN -D_REENTRANT" SYSLIBS="-ldl"

# Targets that do not create files (not all makes understand .PHONY).
.PHONY: all $(PLATS) help test clean default o a depend echo

# Compiler modules may use special flags.
llex.o:
	$(CC) $(CFLAGS) $(CMCFLAGS) -c llex.c

lparser.o:
	$(CC) $(CFLAGS) $(CMCFLAGS) -c lparser.c

lcode.o:
	$(CC) $(CFLAGS) $(CMCFLAGS) -c lcode.c

# DO NOT DELETE

lapi.o: lapi.c lprefix.h lua.h luaconf.h lapi.h llimits.h lstate.h \
 lobject.h ltm.h lzio.h lmem.h ldebug.h ldo.h lfunc.h lgc.h lstring.h \
 ltable.h lundump.h lvm.h
lauxlib.o: lauxlib.c lprefix.h lua.h luaconf.h lauxlib.h
lbaselib.o: lbaselib.c lprefix.h lua.h luaconf.h lauxlib.h lualib.h
lcode.o: lcode.c lprefix.h lua.h luaconf.h lcode.h llex.h lobject.h \
 llimits.h lzio.h lmem.h lopcodes.h lparser.h ldebug.h lstate.h ltm.h \
 ldo.h lgc.h lstring.h ltable.h lvm.h
lcorolib.o: lcorolib.c lprefix.h lua.h luaconf.h lauxlib.h lualib.h
lctype.o: lctype.c lprefix.h lctype.h lua.h luaconf.h llimits.h
ldblib.o: ldblib.c lprefix.h lua.h luaconf.h lauxlib.h lualib.h
ldebug.o: ldebug.c lprefix.h lua.h luaconf.h lapi.h llimits.h lstate.h \
 lobject.h ltm.h lzio.h lmem.h lcode.h llex.h lopcodes.h lparser.h \
 ldebug.h ldo.h lfunc.h lstring.h lgc.h ltable.h lvm.h
ldo.o: ldo.c lprefix.h lua.h luaconf.h lapi.h llimits.h lstate.h \
 lobject.h ltm.h lzio.h lmem.h ldebug.h ldo.h lfunc.h lgc.h lopcodes.h \
 lparser.h lstring.h ltable.h lundump.h lvm.h
ldump.o: ldump.c lprefix.h lua.h luaconf.h lobject.h llimits.h lstate.h \
 ltm.h lzio.h lmem.h lundump.h
lfunc.o: lfunc.c lprefix.h lua.h luaconf.h ldebug.h lstate.h lobject.h \
 llimits.h ltm.h lzio.h lmem.h ldo.h lfunc.h lgc.h
lgc.o: lgc.c lprefix.h lua.h luaconf.h ldebug.h lstate.h lobject.h \
 llimits.h ltm.h lzio.h lmem.h ldo.h lfunc.h lgc.h lstring.h ltable.h
linit.o: linit.c lprefix.h lua.h luaconf.h lualib.h lauxlib.h
liolib.o: liolib.c lprefix.h lua.h luaconf.h lauxlib.h lualib.h
llex.o: llex.c lprefix.h lua.h luaconf.h lctype.h llimits.h ldebug.h \
 lstate.h lobject.h ltm.h lzio.h lmem.h ldo.h lgc.h llex.h lparser.h \
 lstring.h ltable.h
lmathlib.o: lmathlib.c lprefix.h lua.h luaconf.h lauxlib.h lualib.h
lmem.o: lmem.c lprefix.h lua.h luaconf.h ldebug.h lstate.h lobject.h \
 llimits.h ltm.h lzio.h lmem.h ldo.h lgc.h
loadlib.o: loadlib.c lprefix.h lua.h luaconf.h lauxlib.h lualib.h
lobject.o: lobject.c lprefix.h lua.h luaconf.h lctype.h llimits.h \
 ldebug.h lstate.h lobject.h ltm.h lzio.h lmem.h ldo.h lstring.h lgc.h \
 lvm.h
lopcodes.o: lopcodes.c lprefix.h lopcodes.h llimits.h lua.h luaconf.h
loslib.o: loslib.c lprefix.h lua.h luaconf.h lauxlib.h lualib.h
lparser.o: lparser.c lprefix.h lua.h luaconf.h lcode.h llex.h lobject.h \
 llimits.h lzio.h lmem.h lopcodes.h lparser.h ldebug.h lstate.h ltm.h \
 ldo.h lfunc.h lstring.h lgc.h ltable.h
lstate.o: lstate.c lprefix.h lua.h luaconf.h lapi.h llimits.h lstate.h \
 lobject.h ltm.h lzio.h lmem.h ldebug.h ldo.h lfunc.h lgc.h llex.h \
 lstring.h ltable.h
lstring.o: lstring.c lprefix.h lua.h luaconf.h ldebug.h lstate.h \
 lobject.h llimits.h ltm.h lzio.h lmem.h ldo.h lstring.h lgc.h
lstrlib.o: lstrlib.c lprefix.h lua.h luaconf.h lauxlib.h lualib.h
ltable.o: ltable.c lprefix.h lua.h luaconf.h ldebug.h lstate.h lobject.h \
 llimits.h ltm.h lzio.h lmem.h ldo.h lgc.h lstring.h ltable.h lvm.h
ltablib.o: ltablib.c lprefix.h lua.h luaconf.h lauxlib.h lualib.h
ltm.o: ltm.c lprefix.h lua.h luaconf.h ldebug.h lstate.h lobject.h \
 llimits.h ltm.h lzio.h lmem.h ldo.h lgc.h lstring.h ltable.h lvm.h
lua.o: lua.c lprefix.h lua.h luaconf.h lauxlib.h lualib.h
luac.o: luac.c lprefix.h lua.h luaconf.h lauxlib.h ldebug.h lstate.h \
 lobject.h llimits.h ltm.h lzio.h lmem.h lopcodes.h lopnames.h lundump.h
lundump.o: lundump.c lprefix.h lua.h luaconf.h ldebug.h lstate.h \
 lobject.h llimits.h ltm.h lzio.h lmem.h ldo.h lfunc.h lstring.h lgc.h \
 lundump.h
lutf8lib.o: lutf8lib.c lprefix.h lua.h luaconf.h lauxlib.h lualib.h
lvm.o: lvm.c lprefix.h lua.h luaconf.h ldebug.h lstate.h lobject.h \
 llimits.h ltm.h lzio.h lmem.h ldo.h lfunc.h lgc.h lopcodes.h lstring.h \
 ltable.h lvm.h ljumptab.h
lzio.o: lzio.c lprefix.h lua.h luaconf.h llimits.h lmem.h lstate.h \
 lobject.h ltm.h lzio.h

# (end of Makefile)

=== debian/changelog ===
memcached (1.6.21-1ubuntu0.23.10.1) mantic-security; urgency=medium

  * SECURITY UPDATE: buffer overflow via multiget requests in proxy mode
    - debian/patches/CVE-2023-46852.patch: fix buffer overflow with
      multiget syntax in proto_proxy.c, t/proxyunits.t.
    - CVE-2023-46852
  * SECURITY UPDATE: off-by-one error via proxy requests in proxy mode
    - debian/patches/CVE-2023-46853.patch: fix off-by-one if \r is missing
      in proxy.h, proxy_request.c, t/proxy.t.
    - CVE-2023-46853

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 01 Nov 2023 09:41:02 -0400

memcached (1.6.21-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.6.2.

 -- Chris Lamb <lamby@debian.org>  Sat, 24 Jun 2023 10:36:16 +0100

memcached (1.6.19-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.
  * memcached.conf: Also listen on IPv6 by default.

 -- Chris Lamb <lamby@debian.org>  Wed, 15 Mar 2023 09:33:00 +0000

## memcached 1.6.23

=== doc/Makefile ===
--- 
+++ 
@@ -195,10 +195,10 @@
 PACKAGE = memcached
 PACKAGE_BUGREPORT = memcached@googlegroups.com
 PACKAGE_NAME = memcached
-PACKAGE_STRING = memcached 1.6.21
+PACKAGE_STRING = memcached 1.6.23
 PACKAGE_TARNAME = memcached
 PACKAGE_URL = 
-PACKAGE_VERSION = 1.6.21
+PACKAGE_VERSION = 1.6.23
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
@@ -209,7 +209,7 @@
 SET_MAKE = 
 SHELL = /bin/bash
 STRIP = 
-VERSION = 1.6.21
+VERSION = 1.6.23
 XML2RFC = no
 XSLTPROC = no
 abs_builddir = /home/dormando/p/code/memcached/doc

=== debian/changelog ===
memcached (1.6.23-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Sat, 13 Jan 2024 10:00:17 +0000

memcached (1.6.22-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Sat, 21 Oct 2023 09:17:43 +0100

memcached (1.6.21-3) unstable; urgency=medium

  * Also remove 'core' file from tests.
  * Don't run the tests on riscv64. Thanks, Bo YU <tsu.yubo@gmail.com>.
    (Closes: #1053823)

 -- Chris Lamb <lamby@debian.org>  Thu, 12 Oct 2023 08:44:42 +0100

memcached (1.6.21-2) unstable; urgency=medium

  * Do more cleanup in the clean target. (Closes: #1046084)

 -- Chris Lamb <lamby@debian.org>  Tue, 22 Aug 2023 13:08:14 -0700

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libssl-dev,
  pkg-config,
 Homepage: https://memcached.org/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/lamby/pkg-memcached
 Vcs-Git: https://salsa.debian.org/lamby/pkg-memcached.git
 Rules-Requires-Root: no

## memcached 1.6.24

=== doc/Makefile ===
--- 
+++ 
@@ -195,10 +195,10 @@
 PACKAGE = memcached
 PACKAGE_BUGREPORT = memcached@googlegroups.com
 PACKAGE_NAME = memcached
-PACKAGE_STRING = memcached 1.6.23
+PACKAGE_STRING = memcached 1.6.24
 PACKAGE_TARNAME = memcached
 PACKAGE_URL = 
-PACKAGE_VERSION = 1.6.23
+PACKAGE_VERSION = 1.6.24
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
@@ -209,7 +209,7 @@
 SET_MAKE = 
 SHELL = /bin/bash
 STRIP = 
-VERSION = 1.6.23
+VERSION = 1.6.24
 XML2RFC = no
 XSLTPROC = no
 abs_builddir = /home/dormando/p/code/memcached/doc

=== vendor/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 all:
-	cd lua && $(MAKE) all CFLAGS="-g" && cd ..
+	cd lua && $(MAKE) all MYCFLAGS="-g" && cd ..
 	cd mcmc && $(MAKE) all && cd ..
 
 clean:

=== debian/changelog ===
memcached (1.6.24-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:55:32 +1100

memcached (1.6.24-1build2) noble; urgency=medium

  * No-change rebuild against libevent-2.1-7t64

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 29 Mar 2024 17:27:13 +0100

memcached (1.6.24-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 19:59:32 +0000

memcached (1.6.24-1) unstable; urgency=medium

  * New upstream release.
  * Drop 0007-uninitialized-variables.patch; applied upstream.

 -- Chris Lamb <lamby@debian.org>  Sun, 03 Mar 2024 15:54:51 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: memcached
 Section: web
 Priority: optional
-Maintainer: Chris Lamb <lamby@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends:
  adduser,
  debhelper-compat (= 13),

=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 	# .git directory (eg. on salsa)
 	rm -f t/whitespace.t
 
-ifeq (,$(filter $(DEB_BUILD_ARCH),armel armhf mips64el))
+ifeq (,$(filter $(DEB_BUILD_ARCH),armel armhf mips64el riscv64))
 	# SSL tests have a race condition and may hang
 	dh_auto_test --max-parallel=1
 endif

## memcached 1.6.29

=== debian/changelog ===
memcached (1.6.29-1) unstable; urgency=medium

  * New upstream release.
    <https://github.com/memcached/memcached/wiki/ReleaseNotes1629>

 -- Chris Lamb <lamby@debian.org>  Mon, 01 Jul 2024 11:36:14 -0700

memcached (1.6.28-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Tue, 04 Jun 2024 08:32:09 +0100

memcached (1.6.27-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Sun, 12 May 2024 10:21:11 +0100

memcached (1.6.26-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Sat, 30 Mar 2024 09:10:43 +0000

memcached (1.6.25-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Sat, 23 Mar 2024 09:59:53 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: memcached
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Chris Lamb <lamby@debian.org>
+Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends:
  adduser,
  debhelper-compat (= 13),
@@ -10,7 +9,7 @@
  libio-socket-ssl-perl <!nocheck>,
  libsasl2-dev,
  libssl-dev,
- pkg-config,
+ pkgconf,
 Homepage: https://memcached.org/
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/lamby/pkg-memcached

## memcached 1.6.32

=== doc/Makefile ===
--- 
+++ 
@@ -195,10 +195,10 @@
 PACKAGE = memcached
 PACKAGE_BUGREPORT = memcached@googlegroups.com
 PACKAGE_NAME = memcached
-PACKAGE_STRING = memcached 1.6.24
+PACKAGE_STRING = memcached 1.6.32
 PACKAGE_TARNAME = memcached
 PACKAGE_URL = 
-PACKAGE_VERSION = 1.6.24
+PACKAGE_VERSION = 1.6.32
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
@@ -209,7 +209,7 @@
 SET_MAKE = 
 SHELL = /bin/bash
 STRIP = 
-VERSION = 1.6.24
+VERSION = 1.6.32
 XML2RFC = no
 XSLTPROC = no
 abs_builddir = /home/dormando/p/code/memcached/doc

=== debian/changelog ===
memcached (1.6.32-2) unstable; urgency=medium

  * Enable the build-in proxy server support. For more information, see
    <https://docs.memcached.org/features/proxy/>. Do note that this code is
    still marked as "EXPERIMENTAL" in the codebase. (Closes: #1086113)

 -- Chris Lamb <lamby@debian.org>  Mon, 28 Oct 2024 10:02:58 -0700

memcached (1.6.32-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Fri, 25 Oct 2024 11:04:50 -0700

memcached (1.6.31-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0.

 -- Chris Lamb <lamby@debian.org>  Fri, 13 Sep 2024 08:43:09 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libssl-dev,
  pkgconf,
 Homepage: https://memcached.org/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/lamby/pkg-memcached
 Vcs-Git: https://salsa.debian.org/lamby/pkg-memcached.git
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 SCRIPTS=$(PKGBASE)/scripts
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-sasl --enable-tls
+	dh_auto_configure -- --enable-sasl --enable-tls --enable-proxy
 
 override_dh_auto_install:
 	dh_auto_install

## memcached 1.6.33

=== doc/Makefile ===
--- 
+++ 
@@ -195,10 +195,10 @@
 PACKAGE = memcached
 PACKAGE_BUGREPORT = memcached@googlegroups.com
 PACKAGE_NAME = memcached
-PACKAGE_STRING = memcached 1.6.32
+PACKAGE_STRING = memcached 1.6.33
 PACKAGE_TARNAME = memcached
 PACKAGE_URL = 
-PACKAGE_VERSION = 1.6.32
+PACKAGE_VERSION = 1.6.33
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
@@ -209,7 +209,7 @@
 SET_MAKE = 
 SHELL = /bin/bash
 STRIP = 
-VERSION = 1.6.32
+VERSION = 1.6.33
 XML2RFC = no
 XSLTPROC = no
 abs_builddir = /home/dormando/p/code/memcached/doc

=== debian/changelog ===
memcached (1.6.33-2) unstable; urgency=medium

  * Add liburi-perl to Suggests. Thanks, Athos Ribeiro. (Closes: #1089655)

 -- Chris Lamb <lamby@debian.org>  Wed, 11 Dec 2024 11:07:03 +0000

memcached (1.6.33-1) unstable; urgency=medium

  * New upstream release.
    <https://github.com/memcached/memcached/wiki/ReleaseNotes1633>

 -- Chris Lamb <lamby@debian.org>  Fri, 06 Dec 2024 10:48:13 +0000

memcached (1.6.32-3) unstable; urgency=medium

  * Don't run the tests for the (experimental) proxy feature just yet.
    (Closes: #1088571)
  * Correct a typo in the previous changelog entry.

 -- Chris Lamb <lamby@debian.org>  Thu, 28 Nov 2024 13:07:11 +0000

## memcached 1.6.34

=== doc/Makefile ===
--- 
+++ 
@@ -195,10 +195,10 @@
 PACKAGE = memcached
 PACKAGE_BUGREPORT = memcached@googlegroups.com
 PACKAGE_NAME = memcached
-PACKAGE_STRING = memcached 1.6.33
+PACKAGE_STRING = memcached 1.6.34
 PACKAGE_TARNAME = memcached
 PACKAGE_URL = 
-PACKAGE_VERSION = 1.6.33
+PACKAGE_VERSION = 1.6.34
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
@@ -209,7 +209,7 @@
 SET_MAKE = 
 SHELL = /bin/bash
 STRIP = 
-VERSION = 1.6.33
+VERSION = 1.6.34
 XML2RFC = no
 XSLTPROC = no
 abs_builddir = /home/dormando/p/code/memcached/doc

=== debian/changelog ===
memcached (1.6.34-1) unstable; urgency=medium

  * New upstream release.
    <https://github.com/memcached/memcached/wiki/ReleaseNotes1634>

 -- Chris Lamb <lamby@debian.org>  Mon, 30 Dec 2024 12:07:37 +0000

## memcached 1.6.36

=== doc/Makefile ===
--- 
+++ 
@@ -195,10 +195,10 @@
 PACKAGE = memcached
 PACKAGE_BUGREPORT = memcached@googlegroups.com
 PACKAGE_NAME = memcached
-PACKAGE_STRING = memcached 1.6.34
+PACKAGE_STRING = memcached 1.6.36
 PACKAGE_TARNAME = memcached
 PACKAGE_URL = 
-PACKAGE_VERSION = 1.6.34
+PACKAGE_VERSION = 1.6.36
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
@@ -209,7 +209,7 @@
 SET_MAKE = 
 SHELL = /bin/bash
 STRIP = 
-VERSION = 1.6.34
+VERSION = 1.6.36
 XML2RFC = no
 XSLTPROC = no
 abs_builddir = /home/dormando/p/code/memcached/doc

=== debian/changelog ===
memcached (1.6.36-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Fri, 07 Feb 2025 09:56:15 +0000

## memcached 1.6.37

=== doc/Makefile ===
--- 
+++ 
@@ -195,10 +195,10 @@
 PACKAGE = memcached
 PACKAGE_BUGREPORT = memcached@googlegroups.com
 PACKAGE_NAME = memcached
-PACKAGE_STRING = memcached 1.6.36
+PACKAGE_STRING = memcached 1.6.37
 PACKAGE_TARNAME = memcached
 PACKAGE_URL = 
-PACKAGE_VERSION = 1.6.36
+PACKAGE_VERSION = 1.6.37
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
@@ -209,7 +209,7 @@
 SET_MAKE = 
 SHELL = /bin/bash
 STRIP = 
-VERSION = 1.6.36
+VERSION = 1.6.37
 XML2RFC = no
 XSLTPROC = no
 abs_builddir = /home/dormando/p/code/memcached/doc

=== debian/changelog ===
memcached (1.6.37-1) unstable; urgency=medium

  * New upstream release.
    <https://github.com/memcached/memcached/wiki/ReleaseNotes1637>

 -- Chris Lamb <lamby@debian.org>  Fri, 28 Feb 2025 11:03:39 +0000

=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,9 @@
 	# .git directory (eg. on salsa)
 	rm -f t/whitespace.t
 
+	# Don't run the tests for the (experimental) proxy feature just yet.
+	rm -f t/proxy*
+
 ifeq (,$(filter $(DEB_BUILD_ARCH),armel armhf mips64el riscv64))
 	# SSL tests have a race condition and may hang
 	dh_auto_test --max-parallel=1
